/**
 * Overrides the toString on a function so that it addon-jsx prints
 * the callbacks in a copy-paste-able way.
 *
 * https://github.com/storybookjs/addon-jsx#function-props
 *
 * @param fn  - Callback to rewrite toString fuction
 * @param asStr - String that toString of the callback will return
 * @returns Callback(fn) with rewritten toString(asStr) function
 */
export declare const callback: <T extends Function>(fn: T, asStr?: string) => T;
